# Smartpyml 

[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT) [![PyPI version](https://badge.fury.io/py/smartpyml.svg)](https://badge.fury.io/py/smartpyml)

smartpyml is a comprehensive machine learning library that empowers developers and data scientists to easily apply classical machine learning algorithms and time series analysis techniques. It provides a collection of user-friendly functions and tools for data preprocessing, model training, evaluation, and prediction, making it suitable for both beginners and experienced practitioners in the field of data science and artificial intelligence.
Main Features:
- A wide range of classical machine learning algorithms
- Time series analysis and forecasting capabilities
- User-friendly interfaces for easy implementation
- Data preprocessing utilities for feature engineering
- Model evaluation and performance metrics
- Support for both numerical and categorical data
- WARNING: This library is still in development and may contain bugs.


## Installation

Use the package manager [pip](https://pip.pypa.io/en/stable/) to install smartpyml.

```bash
pip install smartpyml
```

## Contributing

Pull requests are welcome. For major changes, please open an issue first
to discuss what you would like to change.

## License

[MIT](https://choosealicense.com/licenses/mit/)

## Project Outcome in the First Version

- [x] Overview Data
- [x] Quick EDA
- [ ] Preprocessing
- [ ] Features Selection
- [ ] Model Design & Testing for Classification
- [ ] Model Design & Testing for Regression
- [ ] Explainability
- [ ] Visualize Model
- [ ] Clustering
- [ ] Geospatial Analysis
